---
sidebar_label: Coverage.(constructor)
---

# Coverage.(constructor)

Constructs a new instance of the `Coverage` class

**Signature:**

```typescript
class Coverage {
  constructor(client: CDPSession);
}
```

## Parameters

| Parameter | Type                                    | Description |
| --------- | --------------------------------------- | ----------- |
| client    | [CDPSession](./puppeteer.cdpsession.md) |             |
